Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Syntax.ChartParser Class Reference

Thread-safe wrapper for ChartParserInternal class. More...

Inheritance diagram for Mercury.Syntax.ChartParser:

## Public Member Functions
| ChartParser (Grammar grammar)
| Chart Parser constructor More...
ParserResult | Parse (IList< Token > tokens)
| Creates a trees (in Mercury.Syntax.ParserResult) from the tokens More...
ParserResult | Parse (IList< Token > tokens, IList< Rule > scanresult)
| Creates a trees (in Mercury.Syntax.ParserResult) from the tokens with the support of Mercury.Syntax.IScanner generated rules. More...

## Properties
Grammar | Grammar`[get, set]`
| Grammar that this parser recognizes. More...
Properties inherited from Mercury.Syntax.IParser
Grammar | Grammar`[get]`
| The Grammar used to build the tree. More...

## Detailed Description

Thread-safe wrapper for ChartParserInternal class.

Definition at line 298 of file Parser.cs.

## Constructor & Destructor Documentation

Mercury.Syntax.ChartParser.ChartParser | ( | Grammar | grammar | ) |

Chart Parser constructor

Parameters

  grammar | A Context-Free Grammar

Definition at line 308 of file Parser.cs.

## Member Function Documentation

ParserResult Mercury.Syntax.ChartParser.Parse | ( | IList< Token > | tokens | ) |

Creates a trees (in Mercury.Syntax.ParserResult) from the tokens

Parameters

  tokens | The tokens.

Returns
  Parser result containing trees.

Implements Mercury.Syntax.IParser.

Definition at line 323 of file Parser.cs.

ParserResult Mercury.Syntax.ChartParser.Parse | ( | IList< Token > | tokens,
|  | IList< Rule > | scanresult
| ) |  |

Creates a trees (in Mercury.Syntax.ParserResult) from the tokens with the support of Mercury.Syntax.IScanner generated rules.

Parameters

  tokens | The tokens.
  scanresult | The rules from scanner

Returns

Implements Mercury.Syntax.IParser.

Definition at line 326 of file Parser.cs.

## Property Documentation

Grammar Mercury.Syntax.ChartParser.Grammar
| get set

Grammar that this parser recognizes.

Definition at line 317 of file Parser.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Syntax/Parser.cs